import { createSlice } from "@reduxjs/toolkit";

const initialBreadCrumbState = {
  items: [],
};

const breadCrumbSlice = createSlice({
  name: "breadcrumb",
  initialState: initialBreadCrumbState,
  reducers: {
    updateBreadCrumb(state, { payload }) {
      state.items = payload;
    },
  },
});

export const BreadCrumbActions = breadCrumbSlice.actions;

export default breadCrumbSlice;
