import { createSlice } from "@reduxjs/toolkit";

const initialLayoutState = {
  layout: "list",
};

const layoutSlice = createSlice({
  name: "layout",
  initialState: initialLayoutState,
  reducers: {
    updateLayout(state, { payload }) {
      state.layout = payload;
    },
  },
});

export const LayoutActions = layoutSlice.actions;

export default layoutSlice.reducer;
