import { createSlice } from "@reduxjs/toolkit";

const initialSearchState = {
  query: "",
};

const searchSlice = createSlice({
  name: "breadcrumb",
  initialState: initialSearchState,
  reducers: {
    setQuery(state, { payload }) {
      state.query = payload;
    },
  },
});

export const SearchActions = searchSlice.actions;

export default searchSlice;
