import { Outlet } from "react-router-dom";
import Navigation from "../components/Navigation";
import { Breadcrumb } from "antd";
import { useSelector } from "react-redux";
const Main = () => {
  const items = useSelector((state) => state.breadCrumb.items);
  return (
    <>
      <Navigation />
      <Breadcrumb items={items} />
      <Outlet />
    </>
  );
};

export default Main;
